"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apply = exports.Config = exports.name = void 0;
const koishi_1 = require("koishi");
exports.name = 'post-tool';
exports.Config = koishi_1.Schema.object({});
function apply(ctx) {
    ctx.command('写指令 <des>')
        .action((des) => {
        return new Promise((resolve, reject) => {
            const https = require('https');
            // 设置请求参数  
            const params = {
                query: des,
                response_mode: 'blocking' // 或者 'blocking'  
            };
            // 将参数转换为 JSON 格式  
            const postData = JSON.stringify(params);
            // 设置请求 options  
            const options = {
                hostname: 'appbuilder.baidu.com',
                port: 443,
                path: '/rpc/2.0/cloud_hub/v1/ai_engine/agi_platform/v1/instance/integrated',
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-Appbuilder-Authorization': 'Bearer bce-v3/ALTAK-BXTboR2Wi4Qj8GpksPJ8r/cf11d09093ef0db9a914d372616791b1b3c6147d'
                }
            };
            // 创建请求  
            const req = https.request(options, (res) => {
                console.log(`statusCode: ${res.statusCode}`);
                // 接收响应数据  
                let data = '';
                res.on('data', (chunk) => {
                    data += chunk;
                });
                res.on('end', () => {
                    try {
                        // 解析JSON数据  
                        const responseObj = JSON.parse(data);
                        // 检查answer属性是否存在  
                        console.log('debug' + responseObj.result.answer);
                        resolve(responseObj.result.answer);
                    }
                    catch (error) {
                        // 如果解析失败，输出错误和原始响应数据  
                    }
                });
            });
            // 处理请求错误  
            req.on('error', (error) => {
                console.error(error);
            });
            // 发送请求数据  
            req.write(postData);
            req.end();
        });
    });
}
exports.apply = apply;
